Skip to main content
« Go Back to e-Source Cambridge
i Welcome to e-Source Help Center
-

Search

What should I do if I cannot install my file due to error messages “Installer is damaged” and “airapp_cup.app needs to be updated”?

Was this article helpful?
1 out of 2 found this helpful
Return to top